// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "BaseItem.generated.h"

USTRUCT()
struct FItemSize 
{
	GENERATED_BODY()

	int x;
	int y;

	FItemSize(int _x, int _y)
	{
		x = _x;
		y = _y;
	}
	FItemSize()
	{
		x = 1;
		y = 1;
	}
};

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API UBaseItem : public UObject
{
	GENERATED_BODY()
	
public:

	const FName ItemName;
	const FText Description;
	const FItemSize ItemSize = FItemSize(1, 1);
};
